[nightcolor] Introduce inhibition API
ClosedPublic

Authored by zzag on Dec 6 2019, 3:27 PM.

Details

Summary

The new API allows to block Night Color temporarily. This can be useful
for applications such as video games and plasma applets.

CCBUG: 400418

Test Plan

Called inhibit() and uninhibit() from D-Feet.

Diff Detail

Repository
R108 KWin
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zzag created this revision.Dec 6 2019, 3:27 PM
Restricted Application added a project: KWin. · View Herald TranscriptDec 6 2019, 3:27 PM
Restricted Application added a subscriber: kwin. · View Herald Transcript
zzag requested review of this revision.Dec 6 2019, 3:27 PM
zzag updated this revision to Diff 71021.Dec 6 2019, 3:31 PM

Actually we don't need showStatusOsd() anymore.

zzag updated this revision to Diff 71368.Dec 12 2019, 4:12 PM

Use correct object path for PropertiesChanged signal.

zzag updated this revision to Diff 71427.Dec 13 2019, 1:17 PM

Minor updates.

zzag updated this revision to Diff 71436.Dec 13 2019, 1:33 PM

Rename m_isInhibited to m_isGloballyInhibited, fix a typo in m_inhibitReferenceCount.

zzag updated this revision to Diff 72872.Mon, Jan 6, 12:19 PM

Don't use deprecated QMultiHash::insertMulti().

davidedmundson accepted this revision.Tue, Jan 7, 12:47 PM
This revision is now accepted and ready to land.Tue, Jan 7, 12:47 PM
This revision was automatically updated to reflect the committed changes.

No translation to on-screen switch sensor.
You need to apply the attached patch.

Before:


After:

zzag added a comment.Sun, Jan 12, 3:51 PM

@victorr Can you provide your real name and email for the authorsihp information? I'll push the patch on your behalf.

https://phabricator.kde.org/p/victorr/
victorr (Victor Ryzhykh)
Volunteer RosaLab aka VictorR2007
victorr2007@yandex.ru

zzag added a comment.Sun, Jan 12, 7:31 PM

https://phabricator.kde.org/p/victorr/
victorr (Victor Ryzhykh)
Volunteer RosaLab aka VictorR2007
victorr2007@yandex.ru

Thanks.